/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package db.entidades;

import java.util.Date;

/**
 *
 * @author lluis
 */
public class User {
    private Integer id;
    private String login;
    private String password;
    private String email;
    private Integer empresa_id;
    private Integer estabelecimento_id;
    private String administrador;
    private Integer tipo;
    private String numero_cedula;
    private String cap;
    private Integer codigo_permissao;
    private String nome;
    private Integer medico_id;
    private Integer funcionario_hst_id;
    private String activo;
    private Integer acesso;
    private String responsavel_loja;
    private String gestor_geral;    
    private String numero_mecanografico;
    private String categoria;   //descricao do 'tipo''
    private String nome_estabelecimento;
    private String primeiro_login;
    private String apagado;
    private Date data_password;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Integer getEmpresa_id() {
        return empresa_id;
    }

    public void setEmpresa_id(Integer empresa_id) {
        this.empresa_id = empresa_id;
    }

    public Integer getEstabelecimento_id() {
        return estabelecimento_id;
    }

    public void setEstabelecimento_id(Integer estabelecimento_id) {
        this.estabelecimento_id = estabelecimento_id;
    }

    public String getAdministrador() {
        return administrador;
    }

    public void setAdministrador(String administrador) {
        this.administrador = administrador;
    }

    public Integer getTipo() {
        return tipo;
    }

    public void setTipo(Integer tipo) {
        this.tipo = tipo;
    }

    public String getNumero_cedula() {
        return numero_cedula;
    }

    public void setNumero_cedula(String numero_cedula) {
        this.numero_cedula = numero_cedula;
    }

    public String getCap() {
        return cap;
    }

    public void setCap(String cap) {
        this.cap = cap;
    }

    public Integer getCodigo_permissao() {
        return codigo_permissao;
    }

    public void setCodigo_permissao(Integer codigo_permissao) {
        this.codigo_permissao = codigo_permissao;
    }

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public Integer getMedico_id() {
        return medico_id;
    }

    public void setMedico_id(Integer medico_id) {
        this.medico_id = medico_id;
    }

    public Integer getFuncionario_hst_id() {
        return funcionario_hst_id;
    }

    public void setFuncionario_hst_id(Integer funcionario_hst_id) {
        this.funcionario_hst_id = funcionario_hst_id;
    }

    public String getActivo() {
        return activo;
    }

    public void setActivo(String activo) {
        this.activo = activo;
    }

    public Integer getAcesso() {
        return acesso;
    }

    public void setAcesso(Integer acesso) {
        this.acesso = acesso;
    }

    public String getResponsavel_loja() {
        return responsavel_loja;
    }

    public void setResponsavel_loja(String responsavel_loja) {
        this.responsavel_loja = responsavel_loja;
    }

    public String getGestor_geral() {
        return gestor_geral;
    }

    public void setGestor_geral(String gestor_geral) {
        this.gestor_geral = gestor_geral;
    }

    public String getNumero_mecanografico() {
        return numero_mecanografico;
    }

    public void setNumero_mecanografico(String numero_mecanografico) {
        this.numero_mecanografico = numero_mecanografico;
    }

    public String getCategoria() {
        return categoria;
    }

    public void setCategoria(String categoria) {
        this.categoria = categoria;
    }

    public String getNome_estabelecimento() {
        return nome_estabelecimento;
    }

    public void setNome_estabelecimento(String nome_estabelecimento) {
        this.nome_estabelecimento = nome_estabelecimento;
    }

    public String getPrimeiro_login() {
        return primeiro_login;
    }

    public void setPrimeiro_login(String primeiro_login) {
        this.primeiro_login = primeiro_login;
    }

    public String getApagado() {
        return apagado;
    }

    public void setApagado(String apagado) {
        this.apagado = apagado;
    }

    public Date getData_password() {
        return data_password;
    }

    public void setData_password(Date data_password) {
        this.data_password = data_password;
    }
}
